Index: crosstest/runtests.sh |
diff --git a/crosstest/runtests.sh b/crosstest/runtests.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..93eb25e1f4b2213866b38f490ffb9bb9d138e629 |
--- /dev/null |
+++ b/crosstest/runtests.sh |
@@ -0,0 +1,42 @@ |
+#!/bin/sh |
+ |
JF
2014/05/01 00:16:55
Comment explaining when to add tests here. Maybe t
Jim Stichnoth
2014/05/05 07:03:55
Actually, this script is a stop-gap until I can wr
|
+set -x |
JF
2014/05/01 00:16:55
You should also set -e and set -u, and then you ca
Jim Stichnoth
2014/05/05 07:03:55
Done.
|
+ |
+OUTDIR=Output |
+mkdir -p "$OUTDIR" |
+ |
+./crosstest.py -Om1 --prefix=Subzero_ --target=X8632 --dir="$OUTDIR" \ |
+ --test=simple_loop.c \ |
+ --driver=simple_loop_main.c \ |
+ --output=simple_loop_Om1 \ |
+ || exit 1 |
+ |
+./crosstest.py -Om1 --prefix=Subzero_ --target=X8632 --dir="$OUTDIR" \ |
+ --test=test_cast.cpp --test=test_cast_to_u1.ll \ |
+ --driver=test_cast_main.cpp \ |
+ --output=test_cast_Om1 \ |
+ || exit 1 |
+ |
+./crosstest.py -Om1 --prefix=Subzero_ --target=X8632 --dir="$OUTDIR" \ |
+ --test=test_fcmp.pnacl.ll \ |
+ --driver=test_fcmp_main.cpp \ |
+ --output=test_fcmp_Om1 \ |
+ || exit 1 |
+ |
+./crosstest.py -Om1 --prefix=Subzero_ --target=X8632 --dir="$OUTDIR" \ |
+ --test=test_icmp.cpp \ |
+ --driver=test_icmp_main.cpp \ |
+ --output=test_icmp_Om1 \ |
+ || exit 1 |
+ |
+./crosstest.py -Om1 --prefix=Subzero_ --target=X8632 --dir="$OUTDIR" \ |
+ --test=test_arith.cpp \ |
+ --driver=test_arith_main.cpp \ |
+ --output=test_arith_Om1 \ |
+ || exit 1 |
+ |
+"$OUTDIR"/simple_loop_Om1 |
+"$OUTDIR"/test_cast_Om1 |
+"$OUTDIR"/test_fcmp_Om1 |
+"$OUTDIR"/test_icmp_Om1 |
+"$OUTDIR"/test_arith_Om1 |